import React, { useState } from 'react';
import styles from './ShowVideoItem.less';

const ShowVideoItem = ({ videoItem, previewBack }: any) => {
  if (!videoItem) {
    return <span />;
  }
  const [imageKey, setImageKey] = useState(0);
  const onImageChange = (i: number) => (e: any) => {
    setImageKey(i);
  };
  const { version, FPS, frames, videoSize, images, nativeFile } = videoItem;
  let _code = {
    version,
    FPS,
    frames,
    videoSize,
  };
  let fileSize = (nativeFile.size / 1024 / 1024).toFixed(2) + 'M';
  let duration = frames / FPS;
  let imageKeys = Object.keys(images);

  return (
    <div className={styles['preview-wrap']}>
      <div className={styles['preview-header']}>
        <a onClick={previewBack}>返回</a>
      </div>
      <div className={styles['content-wrap']}>
        <div className={styles['show-box']}>
          <img
            src={'data:image/png;base64,' + images[imageKeys[imageKey]]}
            alt=""
          />
        </div>
        <div className={styles['info-wrap']}>
          <div className={styles['info-top']}>
            {/* <span>内存占用:</span> */}
            <span>文件大小: {fileSize}</span>
            <span>动画时长: {duration}s</span>
          </div>
          <div className={styles['info-middle']}>
            <pre>{JSON.stringify(_code, null, 2)}</pre>
          </div>
          <div className={styles['info-bot']}>
            <ul>
              {imageKeys.map((attr: string, i: number) => (
                <li
                  key={attr}
                  className={imageKey === i ? styles['active'] : ''}
                >
                  <a onClick={onImageChange(i)}>{attr}</a>
                </li>
              ))}
            </ul>
          </div>
        </div>
      </div>
    </div>
  );
};
export default ShowVideoItem;
