import * as qiniu from 'qiniu-js';

export type phoneItemtype = {
  name: string;
  ratio?: string;
  width: number;
  height: number;
};
export const phoneArray: Array<phoneItemtype> = [
  { name: 'iphone12 Max', width: 428, height: 926 },
  { name: 'iphone12 Pro', width: 390, height: 844 },
  { name: 'iphone12 Mini', width: 360, height: 780 },
  { name: 'iphone11 Max', width: 414, height: 896 },
  { name: 'iphone11/XR/XS Max', width: 414, height: 896 },
  { name: 'iphoneX/XS/11 Pro', width: 375, height: 812 },
  { name: '6+/7+/8+', width: 414, height: 736 },
  { name: 'iphone6/7/8/SE2', width: 375, height: 667 },
  { name: 'iphoneSE/5S/5C', width: 320, height: 568 },
  { name: 'SamSung Galaxy S10e', width: 360, height: 760 },
  { name: 'HUAWEI P30', width: 360, height: 780 },
  { name: 'HUAWEI P20', width: 360, height: 748 },
  { name: 'OPPO R9S', width: 360, height: 640 },
  { name: '小米10', width: 360, height: 780 },
  { name: '小米6', width: 360, height: 640 },
  { name: 'Vivo X27 Pro', width: 360, height: 820 },
  { name: 'OnePlus 7', width: 360, height: 780 },
];
// 上传七牛
export const uploadToQiniu = ({ token, file, key }: any) =>
  new Promise((resolve, reject) => {
    // 配置
    // const token = data
    // const file = svgaFile
    // const key = null

    let config: any = {
      // 表示是否使用 cdn 加速域名，为布尔值，true 表示使用，默认为 false。
      useCdnDomain: true,
      // 根据具体提示修改上传地区,当为 null 或 undefined 时，自动分析上传域名区域
      region: null,
    };

    let putExtra: any = {
      // 文件原文件名
      fname: file.name,
      // 用来放置自定义变量
      params: {},
      // 用来限制上传文件类型，为 null 时表示不对文件类型限制；
      // 限制类型放到数组里： ["image/png", "image/jpeg", "image/gif"]
      mimeType: null,
    };

    let observable = qiniu.upload(file, key, token, putExtra, config);
    observable.subscribe({
      next: (res: any) => {
        // 主要用来展示进度
        let total = res.total;
        // detail.onProgress({ percent: parseInt(total.percent) });
      },
      error: (err: any) => {
        // 失败报错信息
        console.log('七牛上传失败：  ', err);
        reject(err);
      },
      complete: response => {
        // 接收成功后返回的信息
        console.log('七牛上传成功： ', response);
        console.log('文件上传成功返回url', response.url);
        resolve(response);
      },
    });
  });
