import request from '@/utils/request';
import { stringify } from 'querystring';

type GetMediaPageListType = {
  pageIndex: number;
  pageSize: number;
};
// 获取上传文件列表
export const getMediaPageList = async (params: GetMediaPageListType) => {
  return request(`/private-file/media/getPageList?${stringify(params)}`);
};

type GetMediaUploadToken = {
  // 文件后缀
  fileExtension: string;
};
// 获取上传令牌
export const getMediaUploadToken = async (params: GetMediaUploadToken) => {
  return request(`/private-file/media/getUploadToken?${stringify(params)}`);
};

type MediaCreateType = {
  fileLink: string;
  fileType: number;
  extension: string;
  width?: number;
  height?: number;
};
// 上传图片信息
export const mediaCreate = async (params: any) => {
  return request('/private-file/media/create', {
    method: 'POST',
    body: params,
  });
};
